Compatibility with OpenERP 6.02

Bug #800897 reported by Kellogs
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Account Banking Framework
Undecided
Unassigned

Bug Description

Hello,

I am trying to install Account Banking framework under Open ERP 6.02. My project would be to develop a Paypal import filter and submit it back.

But it seems that Account Banking framework is not compatible with 6.02.

Here is the error:

Environment Information :
System : Linux-2.6.39-1-amd64-x86_64-with-debian-wheezy-sid
OS Name : posix
Distributor ID: Debian
Description: Debian GNU/Linux unstable (sid)
Release: unstable
Codename: sid
Operating System Release : 2.6.39-1-amd64
Operating System Version : #1 SMP Tue May 24 14:34:19 UTC 2011
Operating System Architecture : 64bit
Operating System Locale : fr_FR.UTF8
Python Version : 2.6.6
OpenERP-Client Version : 6.0.2
Last revision No. & ID :Bazaar Package not Found !Traceback (most recent call last):
  File "/usr/share/pyshared/openerp-server/netsvc.py", line 489, in dispatch
    result = ExportService.getService(service_name).dispatch(method, auth, params)
  File "/usr/share/pyshared/openerp-server/service/web_services.py", line 599, in dispatch
    res = fn(db, uid, *params)
  File "/usr/share/pyshared/openerp-server/osv/osv.py", line 122, in wrapper
    return f(self, dbname, *args, **kwargs)
  File "/usr/share/pyshared/openerp-server/osv/osv.py", line 176, in execute
    res = self.execute_cr(cr, uid, obj, method, *args, **kw)
  File "/usr/share/pyshared/openerp-server/osv/osv.py", line 167, in execute_cr
    return getattr(object, method)(cr, uid, *args, **kw)
  File "/usr/share/pyshared/openerp-server/addons/base/module/wizard/base_module_upgrade.py", line 98, in upgrade_module
    _db, pool = pooler.restart_pool(cr.dbname, update_module=True)
  File "/usr/share/pyshared/openerp-server/pooler.py", line 60, in restart_pool
    return get_db_and_pool(db_name, force_demo, status, update_module=update_module)
  File "/usr/share/pyshared/openerp-server/pooler.py", line 39, in get_db_and_pool
    addons.load_modules(db, force_demo, status, update_module)
  File "/usr/share/pyshared/openerp-server/addons/__init__.py", line 883, in load_modules
    processed_modules.extend(load_module_graph(cr, graph, status, report=report, skip_modules=processed_modules))
  File "/usr/share/pyshared/openerp-server/addons/__init__.py", line 717, in load_module_graph
    modules = pool.instanciate(package.name, cr)
  File "/usr/share/pyshared/openerp-server/osv/osv.py", line 258, in instanciate
    res.append(klass.createInstance(self, module, cr))
  File "/usr/share/pyshared/openerp-server/osv/osv.py", line 331, in createInstance
    assert pool.get(parent_name), "parent class %s does not exist in module %s !" % (parent_name, module)
AssertionError: parent class payment.type does not exist in module account_banking !

Revision history for this message
Pieter J. Kersten (EduSense BV) (pieterj) wrote :

Hello Jean-Michel,

PayPal would be a nice addition!

I guess this will be an import parser module? If that's the case, you can use the merge proposal from Stefan Rijnhart to get a v6 installable version and work from there. IMO it's not production ready yet, but at least it installs clean with v6 and a basic import seems to work.

Good luck

Revision history for this message
Kellogs (jm-poure) wrote :

Thanks. Where can I get Stefan Rijnhart v6 installable version?

Revision history for this message
Pieter J. Kersten (EduSense BV) (pieterj) wrote :
Revision history for this message
Stefan Rijnhart (Opener) (stefan-opener) wrote : Re: [Bug 800897] Re: Compatibility with OpenERP 6.02

On 23-06-11 13:51, Jean-Michel Pouré wrote:
> Thanks. Where can I get Stefan Rijnhart v6 installable version?
>

Hi Jean-Michel,

you can find the discussion and a link to the bzr branch with the code here:

https://code.launchpad.net/~therp-nl/account-banking/upgrade-6.0/+merge/59146

Cheers,
Stefan.

--
Therp - Maatwerk in open ontwikkeling

Stefan Rijnhart - Ontwerp en implementatie

mail: <email address hidden>
tel: +31 (0) 614478606
web: http://therp.nl

Revision history for this message
Stefan Rijnhart (Opener) (stefan-opener) wrote :

Hi,

just to let you know that the update for OpenERP 6.0 has moved to https://launchpad.net/banking-addons.

Cheers,
Stefan.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers